package watki.podstawy;

public class AAA {

	public static void main(String[] args) {
		System.out.println("Przygotowuję wątki...");
		
		Thread watekA = new Thread(() -> {
			System.out.println("watekA startuje");
			for(int i = 0; i < 100; i++) {
				System.out.println("A " + i);
			}
			System.out.println("watekA koniec");
		});
		Thread watekB = new Thread(() -> {
			System.out.println("watekB startuje");
			for(int i = 0; i < 100; i++) {
				System.out.println("B " + i);
			}
			System.out.println("watekB koniec");
		});
		Thread watekC = new Thread(() -> {
			System.out.println("watekC startuje");
			for(int i = 0; i < 100; i++) {
				System.out.println("C " + i);
			}
			System.out.println("watekC koniec");
		});
		
		System.out.println("Uruchamiam wątki...");
		watekA.start();
		watekB.start();
		watekC.start();

	}

}
